import logging
import os

__LOG_DIR__ = '/var/log/pyrest/'

class Logger:
    def __init__(self, logfile):
        log_path = "%s/%s" % (__LOG_DIR__, logfile)
        if not os.path.exists(__LOG_DIR__):
            os.makedirs(__LOG_DIR__)

        self.logging = logging.getLogger("TIMELAPSE")
        self.logging.setLevel(logging.DEBUG)

        fh = logging.FileHandler(log_path)
        fh.setLevel(logging.DEBUG)

        ch = logging.StreamHandler()
        ch.setLevel(logging.ERROR)

        formatter = logging.Formatter('%(asctime)s - %(thread)d - %(levelname)s - %(message)s')
        fh.setFormatter(formatter)
        ch.setFormatter(formatter)

        self.logging.addHandler(fh)
        self.logging.addHandler(ch)

    def debug(self, message):
        self.logging.debug(message)